Subject: SDP case senstivity

From: Rajesh Kumar <[email-masked]>
Date: Thu, 31 Aug 2000 11:38:58 -0700

I would like the feedback on the team on this issue. Here is what rfc232 says"

   "An SDP session description consists of a number of lines of text of
   the form <type>=<value> <type> is always exactly one character and is
   case-significant.  <value> is a structured text string whose format
   depends on <type>.  It also will be case-significant unless a
   specific field defines otherwise." 

Per this para, rfc2327 allows case-insensitivity to be specified for parameter
values AND for keywords. I have taken this "allowance" for all keywords and
parameter values in the ATM SDP conventions. I look at case sensitivity as an
unnecessary nuisance.

My view is that "case" should not matter, except for those instances in which
case results in a difference of meaning. An effort should be made to ELIMINATE
those instances up front, so that case-insensitivity is the general rule. The
only exception is the line <type> e.g. "c", "m", "a", "o" etc. These need to be
lower case.

However, I am prepared to be overruled on this for the sake of consistency
across all genres of SDP descriptions. Let me know.

Rajesh

At 10:18 AM 8/31/00 -0700, you wrote:
>Hi Rajesh,
>  most of current SDP grammar is case-sensitive. In some cases (capability,
>encoding-name etc) you're proposing case-insensitivity. Have you made a
>decision about the rest of the strings? e.g. AAL1 transport parameters
>(ATMF, ITU etc) - is it OK if we transmit using the case given in the
>document but be tolerant and receive any case? 
>  It's a minor issue but I'd like to know your unofficial official view.
>
>-- Naren.
>Narendra C. Tulpule    SMTS, Trillium Digital Systems
>Ph: +1-310-442-9222              Fax: +1-310-442-1162
>12100 Wilshire Bl #1800         Los Angeles, CA 90025
>

- Rajesh Kumar
        
-------------------------------------------------------
Rajesh Kumar                             :         :
Carrier Packet Voice                    .|.       .|.
Cisco Systems                         .:|||:.   .:|||:.
San Jose, California               ..:|||||||:.:|||||||:..
408 527 0811                       C i s c o S y s t e m s
[email-masked]  
-------------------------------------------------------

---

From: Jonathan Rosenberg <[email-masked]>
Date: Fri, 01 Sep 2000 00:39:00 -0400

Rajesh Kumar wrote:
> Per this para, rfc2327 allows case-insensitivity to be specified for
> parameter values AND for keywords. I have taken this "allowance" for
> all keywords and parameter values in the ATM SDP conventions. I look
> at case sensitivity as an unnecessary nuisance.
> 
> My view is that "case" should not matter, except for those instances
> in which case results in a difference of meaning. An effort should be
> made to ELIMINATE those instances up front, so that case-insensitivity
> is the general rule. The only exception is the line <type> e.g. "c",
> "m", "a", "o" etc. These need to be lower case.
> 
> However, I am prepared to be overruled on this for the sake of
> consistency across all genres of SDP descriptions. Let me know.

I am concerned about this. As the spec does not specify otherwise for
almost anything, most of SDP is case sensitive at the moment. I'd rather
not deviate here. CS is better anyway since (1) it is faster to parse
and easier to handle, (2) it restricts the number of options in the
protocol.

-Jonathan R.

-- 
Jonathan D. Rosenberg                       72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.cs.columbia.edu/~jdrosen         PHONE: (732) 741-7244
http://www.dynamicsoft.com